//ITCOMPJ2 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       ITCOMPJ2.jcl - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Compare the contents of two different item files.
//* Author - Simotime Technologies
//* Date   - January 24, 1996
//*
//* The job will read two input files and compare the records. If the
//* records are not equal an entry will be made to a log file.
//*
//* ITCOMPD1 is expected to be an EBCDIC-encoded file. After a read
//* the ITMESAR1 program is called to convert the record from EBCDIC
//* to ASCII.
//* ITCOMPD2 is expected to be ASCII-encoded.
//*
//* NOTE: To create or reset the LOG file run SYSLOGJ8.jcl...
//*
//* This set of programs will run on a mainframe under MVS or on a
//* personal computer with Windows and Micro Focus Mainframe Express.
//* This JCL will also execute with Micro Focus Enterprise Server.
//*
//*                     ************
//*                     * ITCOMPJ2 *
//*                     ********jcl*
//*                          *
//*    ************     ************                      ************
//*    * ITCOMPD1 *--*--* ITCOMPC2 *----------------------*  SYSOUT  *
//*    *****note-1*  *  ********CBL*                      ************
//*                  *       *   *
//*    ************  *       *   *       ************
//*    * ITCOMPD2 *--*       *   *-call--* ITME2AR1 *
//*    *****note-2*  *       *   *       ********cbl*
//*                  *       *   *
//*    ************  *       *   *       ************
//*    * SYSUT3D3 *--*       *   *-call--* SIMOHEX4 *
//*    *******pdsm*          *   *       ********cbl*
//*                          *   *
//*                          *   *       ************     ************
//*                          *   *-call--* SIMOLOGS *--*--*  SYSLOG  *
//*                          *           ********cbl*  *  ********dat*
//*                          *                         *
//*                     ************                   *  ************
//*                     *   EOJ    *                   *--*  SYSOUT  *
//*                     ************                      ************
//*
//*    Note-1, ITCOMPD1 is a copy of the Item Master File. It is a
//*            Record Sequential File with 512 byte records.
//*            Position 1 and is 12 bytes. This file was created by
//*            submitting and executing the ITKAREJ1.jcl member.
//*    Note-2, ITCOMPD2 is the Item Master File. It is a VSAM, KSDS
//*            with 512 byte records, The key starts in Position 1 and
//*            is 12 bytes.
//*
//* *******************************************************************
//* STEP   1   Compare the two files, write exceptions to log file...
//*
//EXECDAT1 EXEC PGM=ITCOMPC2
//ITCOMPD1 DD  DSN=SIMOTIME.DATA.ITEMEBC1,DISP=SHR
//ITCOMPD2 DD  DSN=SIMOTIME.DATA.ITEMMAST,DISP=SHR
//SYSUT3D3 DD  DSN=SIMOTIME.PDS.PARMLIB(ITCOMPS1)
//SYSLOG   DD  DSN=SIMOTIME.SYSLOG.COMPARE,DISP=SHR
//SYSOUT   DD  SYSOUT=*
//
