//ITCOMPJ4 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       ITCOMPJ4.jcl - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Compare the contents of two different item files.
//* Author - Simotime Technologies
//* Date   - January 24, 1996
//*
//* The job will read two input files and compare the records. If the
//* records are not equal an entry will be made to a log file.
//*
//* This set of programs will run on a mainframe under MVS or on a
//* personal computer with Windows and Micro Focus Mainframe Express.
//* This JCL will also execute with Micro Focus Enterprise Server.
//*
//*                     ************
//*                     * ITCOMPJ4 *
//*                     ********jcl*
//*                          *
//*                     ************     ************
//*                     * SYSLOGP8 *-----*  SYSLOG  *
//*                     ********prc*     ************
//*                          *
//*   ************      ************
//*   * ITCOMPD1 *---*--* ITCOMPC3 *
//*   *****note-1*   *  ********cbl*
//*                  *       *   *
//*   ************   *       *   *       ************
//*   * ITCOMPD2 *---*       *   *-call--* SIMOHEX4 *
//*   *****note-2*   *       *   *       ********cbl*
//*                  *       *   *
//*   ************   *       *   *       ************   ************
//*   * SYSUT3D3 *---*       *   *-call--* SIMOLOGS *---*  SYSLOG  *
//*   *******pdsm*           *           ********cbl*   ********dat*
//*                          *
//*                     ************
//*                     *   EOJ    *
//*                     ************
//*
//*   Note-1, ITCOMPD1 is the Item Master File. It is a VSAM, KSDS
//*           with 512 byte records, The key starts in Position 1 and
//*           is 12 bytes.
//*   Note-2, ITCOMPD2 is a copy of the Item Master File. It is a
//*           VSAM, KSDS with 512 byte records, The key starts in
//*           Position 1 and is 12 bytes. The file has been updated
//*           to introduce a difference during the compare process.
//*           This file was created by submitting and executing
//*           the ITCOPYJ2.jcl member.
//*
//* *******************************************************************
//* STEP 1 of 2, Allocate a new SYSLOG file.
//*
//         SET  DDSYSLOG=SIMOTIME.SYSLOG.ITCOMPJ4
//SYSLOGCT EXEC SYSLOGP8
//*
//* *******************************************************************
//* STEP 2 of 2, Execute the compare program.
//* Note: when a difference occurs the information will be written to
//*       the SYSLOG file
//*
//EXECDAT1 EXEC PGM=ITCOMPC3
//STEPLIB  DD  DSN=SIMOTIME.DEMO.LOADLIB1,DISP=SHR
//ITCOMPD1 DD  DSN=SIMOTIME.DATA.ITEMMAST,DISP=SHR
//ITCOMPD2 DD  DSN=SIMOTIME.DATA.ITCHANGE,DISP=SHR
//SYSUT3D3 DD  DSN=SIMOTIME.PDS.PARMLIB(ITP094D2),DISP=SHR
//SYSLOG   DD  DSN=SIMOTIME.SYSLOG.ITCOMPJ4,DISP=SHR
//SYSOUT   DD  SYSOUT=*
//
